Subject: Re: Issue with running depmod after cross compiling

From: Daniel Ann <[email-masked]>
Date: Wed, 3 Aug 2005 17:49:55 +0900

Rupesh,

I've tried it with module-init-tools version 3.2-pre8 (since it was
latest), it works like a charm. Thanks.

On 8/3/05, Rupesh S <[email-masked]> wrote:
> Daniel,
> 
> Assuming your kernel is 2.6 based, you might want to try module-init-tools version 3.2-pre7. Also, it would be better to have the existing depmod renamed as depmod.old. This is for the new depmod to use in case it fails to execute.
> 
> --
> Rupesh S
> 
> >>> Daniel Ann <[email-masked]> 08/03/05 06:57AM >>>
> Hey folks,
> 
> For certain, I understand why running make module_install fails if I
> run it after cross compiling the kernel+module.
> What I'm doing now is, I've just commented out the bit in Makefile
> (where it exec's depmod), and everythings cool.
> 
> BUT, problem with this method is, I get none of the module.dep and
> many related files for auto loading of module.
> 
> What would be considered reasonable if I was to solve this ?
> 
> Thanks for your thought on this in advance.
> 
> --
> Daniel
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
Daniel